@mixin primary {
	--COLOR--BACKGROUND--DEFAULT: var(--digi--form-file-upload--color--background--primary--default);
	--COLOR--BACKGROUND--HOVER: var(--digi--form-file-upload--color--background--primary--hover);
	--COLOR--BORDER--DEFAULT: var(--digi--form-file-upload--color--border--primary--default);
	--COLOR--BORDER--HOVER:  var(--digi--form-file-upload--color--border--primary--default);
	--BORDER-STYLE--DEFAULT: var(--digi--form-file-upload--border-style--primary--default);
	--BORDER-RADIUS--DEFAULT: var(--digi--form-file-upload--border-radius--primary--default);
	--BORDER-WIDTH--DEFAULT: var(--digi--form-file-upload--border-width--primary--default);
	--WIDTH: var(--digi--form-file-upload--width--primary);
	--FONT-WEIGHT: var(--digi--form-file-upload--font-weight);
	--PADDING: var(--digi--form-file-upload--padding--primary);
}

@mixin secondary {
	--COLOR--BACKGROUND--DEFAULT: var(--digi--form-file-upload--color--background--secondary--default);
	--COLOR--BACKGROUND--HOVER: var(--digi--form-file-upload--color--background--secondary--hover);
	--COLOR--BORDER--DEFAULT: var(--digi--form-file-upload--color--border--secondary--default);
	--COLOR--BORDER--HOVER: var(--digi--form-file-upload--color--border--secondary--hover);
	--BORDER-STYLE--DEFAULT: var(--digi--form-file-upload--border-style--secondary--default);
	--BORDER-RADIUS--DEFAULT: var(--digi--form-file-upload--border-radius--secondary--default);
	--BORDER-WIDTH--DEFAULT: var(--digi--form-file-upload--border-width--secondary--default);
	--WIDTH: var(--digi--form-file-upload--width--secondary);
	--FONT-WEIGHT: var(--digi--form-file-upload--font-weight);
	--PADDING: var(--digi--form-file-upload--padding--secondary);

}

@mixin tertiary {
	--COLOR--BACKGROUND--DEFAULT: var(--digi--form-file-upload--color--background--tertiary--default);
	--COLOR--BACKGROUND--HOVER: var(--digi--form-file-upload--color--background--tertiary--hover);
	--COLOR--BORDER--DEFAULT: var(--digi--form-file-upload--color--border--tertiary--default);
	--COLOR--BORDER--HOVER: var(--digi--form-file-upload--color--border--tertiary--hover);
	--BORDER-STYLE--DEFAULT: var(--digi--form-file-upload--border-style--tertiary--default);
	--BORDER-RADIUS--DEFAULT: var(--digi--form-file-upload--border-radius--tertiary--default);
	--BORDER-WIDTH--DEFAULT: var(--digi--form-file-upload--border-width--tertiary--default);
	--WIDTH: var(--digi--form-file-upload--width--tertiary);
	--FONT-WEIGHT: var(--digi--form-file-upload--font-weight);
	--PADDING: var(--digi--form-file-upload--padding--tertiary);
}